Get an action run's approvers
GET/v1/actions/runs/:run_id/approvers
This route allows you to fetch the approvers of a specific action run.
To learn more about manual approval for actions, check out the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "boolean",
"default": false
},
"in": "query",
"name": "include_pending_approvers",
"required": true,
"description": "If `true`, the route will also return the users who have not yet approved the action run."
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "run_id",
"required": true,
"description": "The identifier of the action run."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 401
- 404
Retrieved successfully.
Default Response
A resource with the provided identifier was not found
Responses (JSON)
{
"responses": {
"200": {
"description": "Retrieved successfully.",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"enum": [
true
]
},
"approvers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string"
},
"state": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
}
},
"required": [
"userId",
"state"
]
}
}
},
"required": [
"ok"
],
"additionalProperties": false,
"description": "Retrieved successfully."
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
}
}
}